Generic Image Library: packed_pixel< P, C, L > Struct Template Reference

###  | #  |

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
packed_pixel< P, C, L > Struct Template Reference
packed_pixel | packed_pixel | Models

Heterogeneous pixel value whose channel references can be constructed from the pixel bitfield and their index. Models ColorBaseValueConcept, PixelValueConcept, PixelBasedConcept Typical use for this is a model of a packed pixel (like 565 RGB) More...

`#include <packed_pixel.hpp>`

## Public Types
typedef Layout | layout_t
typedef packed_pixel | value_type
typedef value_type & | reference
typedef const value_type & | const_reference

## Public Member Functions
| BOOST_STATIC_CONSTANT (bool, is_mutable=channel_traits< typename mpl::front< ChannelRefVec >::type >::is_mutable)
| packed_pixel (const BitField &bitfield)
| packed_pixel (const packed_pixel &p)
template<typename P >
| packed_pixel (const P &p, typename enable_if_c< is_pixel< P >::value >::type *d=0)
| packed_pixel (int chan0, int chan1)
| packed_pixel (int chan0, int chan1, int chan2)
| packed_pixel (int chan0, int chan1, int chan2, int chan3)
| packed_pixel (int chan0, int chan1, int chan2, int chan3, int chan4)
packed_pixel & | operator= (const packed_pixel &p)
template<typename P >
packed_pixel & | operator= (const P &p)
template<typename P >
bool | operator== (const P &p) const
template<typename P >
bool | operator!= (const P &p) const
packed_pixel & | operator= (int chan)
bool | operator== (int chan) const

## Public Attributes
BitField | _bitfield

## Detailed Description

### template<typename P, typename C, typename L>
struct boost::gil::packed_pixel< P, C, L >

Heterogeneous pixel value whose channel references can be constructed from the pixel bitfield and their index. Models ColorBaseValueConcept, PixelValueConcept, PixelBasedConcept Typical use for this is a model of a packed pixel (like 565 RGB)

The documentation for this struct was generated from the following files:

- gil_concept.hpp
- packed_pixel.hpp